package nl.amis.ajaxuix.view;
import nl.amis.ajaxuix.view.MyStrutsUixLifecycle;
import oracle.adf.controller.struts.actions.StrutsPageLifecycle;
import oracle.adf.controller.struts.actions.StrutsPageLifecycleFactory;

public class UIXStrutsPageLifeCycleFactory   extends StrutsPageLifecycleFactory
{
    /**
   * Gets PageLifecycle for a page path. Currently not used, implementation
   * overridden in all subclasses.
   * @return The pagelifecycle.
   * @param path The path of the page.
   */
   public StrutsPageLifecycle getPageLifecycle(String path)
   {
       return getUIXLifeCycle();
   }
  /**
   * Gets the UIXLifecycle. Creates a new UIXLifecycle when there isn't one
   * already.
   * @return The UIXLifecycle.
   */
   protected static StrutsPageLifecycle getUIXLifeCycle()
   {
      if (UIX_LIFECYCLE == null)
      {
         UIX_LIFECYCLE = new MyStrutsUixLifecycle();
      }
      return UIX_LIFECYCLE;
   }
  /**
   * UIXLifecycle member.
   */
   public static StrutsPageLifecycle UIX_LIFECYCLE;
}