package nl.amis.ajaxuix.view;
import oracle.adf.controller.struts.actions.DataForwardAction;
import oracle.adf.model.binding.DCBindingContainer;
import oracle.adf.model.binding.DCControlBinding;
import oracle.jbo.JboException;
import org.apache.struts.Globals;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

public class DataPage1Action extends DataForwardAction  {

  public void onUpdateSalary(oracle.adf.controller.struts.actions.DataActionContext actionContext)	{ 
    DCBindingContainer bindings = actionContext.getBindingContainer();
    DCControlBinding binding = bindings.findCtrlBinding("salary");
    float salary = (binding != null) ? Float.parseFloat(binding.toString()) : 0;
    if (salary > 10000) {
      binding = bindings.findCtrlBinding("name");
      String name = (binding != null) ? binding.toString() : "";
      ActionMessages messages = (ActionMessages)actionContext.getHttpServletRequest().getAttribute(Globals.MESSAGE_KEY);
      if (messages==null) {
        messages = new ActionMessages();
      }
      messages.add(ActionMessages.GLOBAL_MESSAGE,new ActionMessage("message.salary.stiff",  Float.toString(salary), name)); 
      saveMessages(actionContext.getHttpServletRequest(), messages );
      // see http://forums.oracle.com/forums/thread.jsp?forum=83&thread=235723&message=672912
    } 
  }
}